Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeKeyAdapter

    java.lang.Object
      org.apache.batik.gvt.event.GraphicsNodeKeyAdapter

All Implemented Interfaces:
  EventListener, GraphicsNodeKeyListener

    public abstract class GraphicsNodeKeyAdapter

extends Object
implements GraphicsNodeKeyListener

An abstract adapter class for receiving graphics node key events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `GraphicsNodeKeyEvent` listener and override the methods for the events of interest. (If you implement the `GraphicsNodeKeyListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Constructor Summary
`GraphicsNodeKeyAdapter()`

Method Summary
`void` | `keyPressed(GraphicsNodeKeyEvent evt)` Invoked when a key has been pressed.
`void` | `keyReleased(GraphicsNodeKeyEvent evt)` Invoked when a key has been released.
`void` | `keyTyped(GraphicsNodeKeyEvent evt)` Invoked when a key has been typed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsNodeKeyAdapter

    public GraphicsNodeKeyAdapter()

Method Detail

### keyPressed

    public void keyPressed(GraphicsNodeKeyEvent evt)

  Description copied from interface: `GraphicsNodeKeyListener`
  Invoked when a key has been pressed.

  Specified by:
    `keyPressed` in interface `GraphicsNodeKeyListener`
  Parameters:
    `evt` - the graphics node key event

### keyReleased

    public void keyReleased(GraphicsNodeKeyEvent evt)

  Description copied from interface: `GraphicsNodeKeyListener`
  Invoked when a key has been released.

  Specified by:
    `keyReleased` in interface `GraphicsNodeKeyListener`
  Parameters:
    `evt` - the graphics node key event

### keyTyped

    public void keyTyped(GraphicsNodeKeyEvent evt)

  Description copied from interface: `GraphicsNodeKeyListener`
  Invoked when a key has been typed.

  Specified by:
    `keyTyped` in interface `GraphicsNodeKeyListener`
  Parameters:
    `evt` - the graphics node key event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.